# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Moose.pm) perl(Test/More.pm) perl(Text/Trim.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Pod-Clipper
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Extract blocks of POD from a text document
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/Y/YH/YHA/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module allows you to divide a document/string into POD and non-POD
blocks of text. This is useful for extracting POD data (or code) from a
"mixed" document, like most perl modules on CPAN.

POD data is identified as per the perlpodspec manpage.
Invalid POD is simply ignored. The only case for this is if a line
matched `/\A'
%prep
%setup -n Pod
# depth is > 1 .. moving up
pushd "Clipper"
  mv -f * ../
  mv -f .* ../ ||:
popd

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE Todo
%perl_vendor_privlib/P*

%changelog
* Tue Apr 08 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

